Bug 238070 - x11/cinnamon: Remove unnecessary version check
Summary: x11/cinnamon: Remove unnecessary version check
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL: https://github.com/linuxmint/cinnamon...
Keywords: easy
Depends on:
Blocks: 237426
  Show dependency treegraph
 
Reported: 2019-05-23 10:49 UTC by Kubilay Kocak
Modified: 2019-07-01 06:21 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly+


Attachments
Remove unnecessary version check (3.23 KB, patch)
2019-05-23 10:52 UTC, Kubilay Kocak
koobs: maintainer-approval+
Details | Diff
cinnamon-Remove-unnecessary-version-check.patch v2 (5.68 KB, patch)
2019-05-29 05:29 UTC, Kubilay Kocak
no flags Details | Diff
cinnamon-Remove-unnecessary-version-check.patch v3 (6.24 KB, patch)
2019-05-29 07:39 UTC, Kubilay Kocak
kwm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kubilay Kocak freebsd_committer freebsd_triage 2019-05-23 10:49:13 UTC
Bug 237426 updates Pillow to 6.0.0, which removed the Image.VERSION variable, after a period of deprecation.

Cinnamon currently uses this variable, so backport upstream commit c843f3664064742e2672e0fea528571a882d84ad to compensate, so we don't need to wait for the Gnome teams cinnamon 4 update (which also pulled in this commit)

[1] https://github.com/linuxmint/cinnamon/pull/8496
[2] https://github.com/linuxmint/cinnamon/issues/8495
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-23 10:52:37 UTC
Created attachment 204564 [details]
Remove unnecessary version check
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-23 11:15:52 UTC
Comment on attachment 204564 [details]
Remove unnecessary version check

Approved by: kwm (gnome, maintainer)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-29 05:29:19 UTC
Created attachment 204680 [details]
cinnamon-Remove-unnecessary-version-check.patch v2

Patch v2, adds fixes for all stage-qa errors and ports/framework compliance:

- Add missing LIB_DEPENDS
- Add missing USE_{GNOME,X11} components
- Add USES=gnome, gl
- Fix gstreamer dependencies (GSTREAMER1, not GSTREAMER)
- Add LICENCE{_FILE}
- Fix more/all shebangs, remove custom REINPLACE_CMD section
- Add USES=localbase:ldflags, remove CPPFLAGS/LDFLAGS
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-29 07:39:36 UTC
Created attachment 204686 [details]
cinnamon-Remove-unnecessary-version-check.patch v3

v3 patch adds:

- Remove GH_ACCOUNT (no longer necessary)
Comment 5 commit-hook freebsd_committer 2019-05-29 11:42:09 UTC
A commit references this bug:

Author: koobs
Date: Wed May 29 11:42:03 UTC 2019
New revision: 502951
URL: https://svnweb.freebsd.org/changeset/ports/502951

Log:
  x11/cinnamon: Remove unnecessary version check

  Bug 237426 updates Pillow to 6.0.0, which removed the Image.VERSION
  variable, after a period of deprecation.

  Cinnamon currently uses this variable, so backport upstream commit
  c843f3664064742e2672e0fea528571a882d84ad [1] to compensate, so we don't
  need to wait for the Gnome teams Cinnamon 4 update, which has already
  pulled it in. Thanks to Charli Li for pointing this commit out.

  While I'm here, fix all stage-qa errors and ports/framework compliance
  issues:

  	- Add missing LIB_DEPENDS
  	- Add missing USE_{GNOME,X11} components
  	- Add USES=gnome, gl
  	- Fix gstreamer dependencies (GSTREAMER1, not GSTREAMER)
  	- Add LICENCE{_FILE}
  	- Fix more/all shebangs, remove custom REINPLACE_CMD section
  	- Remove GH_ACCOUNT (no longer necessary)

  [1] https://github.com/linuxmint/cinnamon/pull/8496
  [2] https://github.com/linuxmint/cinnamon/issues/8495

  PR:		238070, 237426
  Reported by:	kai
  Tested by:	Michal Kilijanek (via Twitter)
  Approved by:	kwm (gnome, maintainer)
  MFH:		2019Q2

Changes:
  head/x11/cinnamon/Makefile
  head/x11/cinnamon/distinfo
  head/x11/cinnamon/files/patch-files_usr_lib_cinnamon-settings_bin_imtools.py
Comment 6 commit-hook freebsd_committer 2019-07-01 06:18:29 UTC
A commit references this bug:

Author: koobs
Date: Mon Jul  1 06:17:51 UTC 2019
New revision: 505538
URL: https://svnweb.freebsd.org/changeset/ports/505538

Log:
  MFH: r502951 x11/cinnamon: Remove unnecessary version check

  Bug 237426 updates Pillow to 6.0.0, which removed the Image.VERSION
  variable, after a period of deprecation.

  Cinnamon currently uses this variable, so backport upstream commit
  c843f3664064742e2672e0fea528571a882d84ad [1] to compensate, so we don't
  need to wait for the Gnome teams Cinnamon 4 update, which has already
  pulled it in. Thanks to Charli Li for pointing this commit out.

  While I'm here, fix all stage-qa errors and ports/framework compliance
  issues:

  	- Add missing LIB_DEPENDS
  	- Add missing USE_{GNOME,X11} components
  	- Add USES=gnome, gl
  	- Fix gstreamer dependencies (GSTREAMER1, not GSTREAMER)
  	- Add LICENCE{_FILE}
  	- Fix more/all shebangs, remove custom REINPLACE_CMD section
  	- Remove GH_ACCOUNT (no longer necessary)

  [1] https://github.com/linuxmint/cinnamon/pull/8496
  [2] https://github.com/linuxmint/cinnamon/issues/8495

  PR:		238070, 237426
  Reported by:	kai
  Tested by:	Michal Kilijanek (via Twitter)
  Approved by:	kwm (gnome, maintainer)

  Approved by:	ports-secteam (blanket(s): bugfixes, dependencies)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/x11/cinnamon/Makefile
  branches/2019Q2/x11/cinnamon/distinfo
  branches/2019Q2/x11/cinnamon/files/patch-files_usr_lib_cinnamon-settings_bin_imtools.py